Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.api.tasks.compile
[Groovy] Class CompileOptions

    java.lang.Object
      org.gradle.api.tasks.compile.AbstractOptions
          org.gradle.api.tasks.compile.CompileOptions

    class CompileOptions
    extends AbstractOptions

Authors:
  Hans Dockter

Property Summary
`java.lang.String` | `bootClasspath` The bootstrap classpath to use when compiling.
`java.lang.String` | `compiler` The compiler to use.
`java.util.List` | `compilerArgs` The arguments to pass to the compiler.
`boolean` | `debug` Specifies whether debugging information should be included in the generated `.class` files.
`DebugOptions` | `debugOptions` The options for debugging information generation.
`DependOptions` | `dependOptions` The options for using the Ant `` task.
`boolean` | `deprecation` Specifies whether to log details of usage of deprecated members or classes.
`java.lang.String` | `encoding` The source encoding name.
`java.lang.String` | `extensionDirs` The extension dirs to use when compiling.
`boolean` | `failOnError` Specifies whether the compile task should fail when compilation fails.
`boolean` | `fork` Specifies whether to run the compiler in a child process.
`ForkOptions` | `forkOptions` The options for running the compiler in a child process.
`boolean` | `includeJavaRuntime`
`boolean` | `listFiles`
`boolean` | `optimize`
`boolean` | `useDepend` Specifies whether to use the Ant `` task.
`boolean` | `verbose`
`boolean` | `warnings` Specifies whether to log warning messages.

Method Summary
`CompileOptions` | `debug(java.util.Map debugArgs)`
`CompileOptions` | `depend(java.util.Map dependArgs)` Set the dependency options from a map.
`java.util.List` | `excludedFieldsFromOptionMap()`
`java.util.Map` | `fieldName2AntMap()`
`java.util.Map` | `fieldValue2AntMap()`
`CompileOptions` | `fork(java.util.Map forkArgs)`
`java.util.Map` | `optionMap()`

Methods inherited from class AbstractOptions
addValueToMapIfNotNull, define, excludedFieldsFromOptionMap, fieldName2AntMap, fieldValue2AntMap, isOptionField, optionMap

Property Detail

### bootClasspath

    @Input
    @Optional
    java.lang.String bootClasspath

  The bootstrap classpath to use when compiling.

### compiler

    @Input
    @Optional
    java.lang.String compiler

  The compiler to use.

### compilerArgs

    @Input
    java.util.List compilerArgs

  The arguments to pass to the compiler.

### debug

    @Input
    boolean debug

  Specifies whether debugging information should be included in the generated `.class` files. The default is `true`.

### debugOptions

    @Nested
    DebugOptions debugOptions

  The options for debugging information generation.

### dependOptions

    DependOptions dependOptions

  The options for using the Ant `` task.

### deprecation

    boolean deprecation

  Specifies whether to log details of usage of deprecated members or classes. The default is `false`.

### encoding

    @Input
    @Optional
    java.lang.String encoding

  The source encoding name. Uses the platform default encoding if not specified. The default is `null`.

### extensionDirs

    @Input
    @Optional
    java.lang.String extensionDirs

  The extension dirs to use when compiling.

### failOnError

    @Input
    boolean failOnError

  Specifies whether the compile task should fail when compilation fails. The default is `true`.

### fork

    boolean fork

  Specifies whether to run the compiler in a child process. The default is {
  code:
    false.

### forkOptions

    @Nested
    ForkOptions forkOptions

  The options for running the compiler in a child process.

### includeJavaRuntime

    @Input
    boolean includeJavaRuntime

### listFiles

    boolean listFiles

### optimize

    @Input
    boolean optimize

### useDepend

    boolean useDepend

  Specifies whether to use the Ant `` task.

### verbose

    boolean verbose

### warnings

    boolean warnings

  Specifies whether to log warning messages. The default is `true`.

Method Detail

### debug

    CompileOptions debug(java.util.Map debugArgs)

### depend

    CompileOptions depend(java.util.Map dependArgs)

  Set the dependency options from a map. See DependOptions for a list of valid properties. Calling this method will enable use of the depend task during a compile.

### excludedFieldsFromOptionMap

    java.util.List excludedFieldsFromOptionMap()

### fieldName2AntMap

    java.util.Map fieldName2AntMap()

### fieldValue2AntMap

    java.util.Map fieldValue2AntMap()

### fork

    CompileOptions fork(java.util.Map forkArgs)

### optionMap

    java.util.Map optionMap()

Groovy Documentation